Page MenuHomePhabricator

TimedText not working on non-English wikis: Serves the translated namespace instead of canonical one for Commons files
Closed, ResolvedPublic

Description

Timed Text is not working on non-English Wikipedias.

Steps to reproduce:

1.) Go to https://sv.wikipedia.org/wiki/Du_gamla,_du_fria or https://ko.wikipedia.org/wiki/%EC%8A%A4%EC%9B%A8%EB%8D%B4%EC%9D%98_%EA%B5%AD%EA%B0%80#%EC%8A%A4%EC%9B%A8%EB%8D%B4%EC%96%B4_%EA%B0%80%EC%82%AC
2.) Play the file "File:United States Navy Band - Sweden.ogg" using the browser media player.
3.) Note there's no text showing up when that file has timed text in the respective languages. Purging the page's cache did not resolve the issue.

This may be related to T224258

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : wmf/1.34.0-wmf.7Fix regression in subtitles for non-English sites on Commons videos
mediawiki/extensions/TimedMediaHandler : wmf/1.34.0-wmf.6Fix regression in subtitles for non-English sites on Commons videos
mediawiki/extensions/TimedMediaHandler : masterFix regression in subtitles for non-English sites on Commons videos

Event Timeline

Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptMay 26 2019, 11:54 AM
Reedy updated the task description. (Show Details)May 26 2019, 12:01 PM
Laqueesha updated the task description. (Show Details)May 26 2019, 12:29 PM
Laqueesha updated the task description. (Show Details)
Laqueesha updated the task description. (Show Details)May 26 2019, 6:10 PM
Laqueesha updated the task description. (Show Details)May 26 2019, 7:24 PM
Krinkle added subscribers: brion, TheDJ, Krinkle.

Not sure, but presuming this to be a regression. @brion and @TheDJ recently landed some preparatory work for the new player that will be more stable and less resource intensive (based on video.js). It's possible that caused this bug.

brion claimed this task.May 26 2019, 7:33 PM

I'll investigate this Monday, probably a regression in our recent changes.

[Error] Failed to load resource: the server responded with a status of 400 () (api.php, line 0)https://commons.wikimedia.org/w/api.php?action=timedtext&title=Fil%3ADu_gamla%2C_du_fria.ogg&lang=sv&trackformat=srt&origin=%2A
[Error] Failed to load resource: the server responded with a status of 400 () (api.php, line 0) https://commons.wikimedia.org/w/api.php?action=timedtext&title=Fil%3AUnited_States_Navy_Band_-_Sweden.ogg&lang=de&trackformat=srt&origin=%2A

Fil: vs. File: it's serving up the translated namespace, instead of the canonical one for Commons files.

Aklapper renamed this task from TimedText not working on non-English Wikipedias to TimedText not working on non-English Wikipedias: Serves the translated namespace instead of canonical one for Commons files.May 27 2019, 11:45 AM
brion added a comment.May 28 2019, 9:32 PM

Ah yeah that'll do it. I'll get on it...

Jdforrester-WMF renamed this task from TimedText not working on non-English Wikipedias: Serves the translated namespace instead of canonical one for Commons files to TimedText not working on non-English wikis: Serves the translated namespace instead of canonical one for Commons files.May 28 2019, 9:35 PM

Change 512993 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Fix regression in subtitles for non-English sites on Commons videos

https://gerrit.wikimedia.org/r/512993

Change 512993 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Fix regression in subtitles for non-English sites on Commons videos

https://gerrit.wikimedia.org/r/512993

Change 513007 had a related patch set uploaded (by Jforrester; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@wmf/1.34.0-wmf.7] Fix regression in subtitles for non-English sites on Commons videos

https://gerrit.wikimedia.org/r/513007

Change 513008 had a related patch set uploaded (by Jforrester; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@wmf/1.34.0-wmf.6] Fix regression in subtitles for non-English sites on Commons videos

https://gerrit.wikimedia.org/r/513008

Change 513008 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@wmf/1.34.0-wmf.6] Fix regression in subtitles for non-English sites on Commons videos

https://gerrit.wikimedia.org/r/513008

Change 513007 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@wmf/1.34.0-wmf.7] Fix regression in subtitles for non-English sites on Commons videos

https://gerrit.wikimedia.org/r/513007

Mentioned in SAL (#wikimedia-operations) [2019-05-28T23:15:59Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.6/extensions/TimedMediaHandler/includes/handlers/TextHandler/TextHandler.php: T224367 Fix regression in subtitles for non-English sites on Commons videos (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-05-28T23:17:56Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.7/extensions/TimedMediaHandler/includes/handlers/TextHandler/TextHandler.php: T224367 Fix regression in subtitles for non-English sites on Commons videos (duration: 00m 57s)